StatsHub Docs
Endpoint referenceTracker

/tracker/bet

POST
/api/v2/tracker/bet

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/api/v2/tracker/bet" \  -H "Content-Type: application/json" \  -d '{    "bookmakerId": 0,    "direction": "string",    "line": 0,    "marketType": "string",    "matchDate": 0,    "matchId": 0,    "modelName": "string",    "notes": "string",    "oddsTaken": 0,    "playerId": 0,    "playerName": "string",    "source": "string",    "stake": 0,    "tags": [      "string"    ],    "teamId": 0,    "teamName": "string",    "uniqueTournamentId": 0  }'
{  "$schema": "https://example.com/schemas/TrackerBetAddCreatedBody.json",  "data": {    "actualResult": 0,    "bookmakerId": 0,    "country": "string",    "createdAt": "string",    "direction": "string",    "id": 0,    "leagueName": "string",    "line": 0.1,    "marketType": "string",    "matchDate": 0,    "matchId": 0,    "modelName": "string",    "notes": "string",    "oddsTaken": 0.1,    "playerId": 0,    "playerName": "string",    "profitLoss": 0,    "settledAt": "string",    "source": "string",    "stake": 0.1,    "stakeCurrency": "string",    "status": "string",    "tags": [      "string"    ],    "teamId": 0,    "teamName": "string",    "uniqueTournamentId": 0,    "unitValue": 0,    "userId": "string"  },  "message": "string"}